## maesheep 0.0.1-2

=== Makefile ===
#############################################################################
# Makefile for building: maesheep_0
# Generated by qmake (2.01a) (Qt 4.6.1) on: Sun Feb 14 15:42:53 2010
# Project:  maesheep_0.1.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake-qt4 -unix -o Makefile maesheep_0.1.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PHONON_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)  `pkg-config --cflags dbus-1 glib-2.0 libosso osso-ic` -lcurl
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/phonon -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I/opt/qt4-maemo5/include/phonon_compat -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lphonon -L/opt/qt4-maemo5/lib -lQtDBus -lQtXml -L/usr/X11R6/lib -lQtGui -lQtCore -lpthread `pkg-config --libs dbus-1 glib-2.0 libosso osso-ic` -lcurl
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = clock.cpp \
		fence.cpp \
		game.cpp \
		icon.cpp \
		libmctacc.cpp \
		main.cpp \
		platform.cpp \
		poi.cpp \
		sheep.cpp \
		soundengine.cpp \
		twitcurl.cpp \
		vec.cpp \
		view.cpp moc_clock.cpp \
		moc_icon.cpp \
		moc_platform.cpp \
		moc_poi.cpp \
		moc_view.cpp \
		qrc_sheep.cpp
OBJECTS       = clock.o \
		fence.o \
		game.o \
		icon.o \
		libmctacc.o \
		main.o \
		platform.o \
		poi.o \
		sheep.o \
		soundengine.o \
		twitcurl.o \
		vec.o \
		view.o \
		moc_clock.o \
		moc_icon.o \
		moc_platform.o \
		moc_poi.o \
		moc_view.o \
		qrc_sheep.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		maesheep_0.1.pro
QMAKE_TARGET  = maesheep_0
DESTDIR       = 
TARGET        = maesheep_0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: maesheep_0.1.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libphonon.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile maesheep_0.1.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libphonon.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile maesheep_0.1.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/maesheep_01.0.0 || $(MKDIR) .tmp/maesheep_01.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/maesheep_01.0.0/ && $(COPY_FILE) --parents baseobj.h clock.h fence.h game.h icon.h libmctacc.h platform.h poi.h sheep.h soundengine.h twitcurl.h vec.h view.h .tmp/maesheep_01.0.0/ && $(COPY_FILE) --parents sheep.qrc .tmp/maesheep_01.0.0/ && $(COPY_FILE) --parents clock.cpp fence.cpp game.cpp icon.cpp libmctacc.cpp main.cpp platform.cpp poi.cpp sheep.cpp soundengine.cpp twitcurl.cpp vec.cpp view.cpp .tmp/maesheep_01.0.0/ && (cd `dirname .tmp/maesheep_01.0.0` && $(TAR) maesheep_01.0.0.tar maesheep_01.0.0 && $(COMPRESS) maesheep_01.0.0.tar) && $(MOVE) `dirname .tmp/maesheep_01.0.0`/maesheep_01.0.0.tar.gz . && $(DEL_FILE) -r .tmp/maesheep_01.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_clock.cpp moc_icon.cpp moc_platform.cpp moc_poi.cpp moc_view.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_clock.cpp moc_icon.cpp moc_platform.cpp moc_poi.cpp moc_view.cpp
moc_clock.cpp: game.h \
		libmctacc.h \
		soundengine.h \
		view.h \
		fence.h \
		baseobj.h \
		sheep.h \
		vec.h \
		poi.h \
		clock.h \
		icon.h \
		platform.h \
		twitcurl.h \
		clock.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) clock.h -o moc_clock.cpp

moc_icon.cpp: game.h \
		libmctacc.h \
		soundengine.h \
		view.h \
		fence.h \
		baseobj.h \
		sheep.h \
		vec.h \
		poi.h \
		clock.h \
		icon.h \
		platform.h \
		twitcurl.h \
		icon.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) icon.h -o moc_icon.cpp

moc_platform.cpp: baseobj.h \
		game.h \
		libmctacc.h \
		soundengine.h \
		view.h \
		fence.h \
		sheep.h \
		vec.h \
		poi.h \
		clock.h \
		icon.h \
		platform.h \
		twitcurl.h \
		platform.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) platform.h -o moc_platform.cpp

moc_poi.cpp: game.h \
		libmctacc.h \
		soundengine.h \
		view.h \
		fence.h \
		baseobj.h \
		sheep.h \
		vec.h \
		poi.h \
		clock.h \
		icon.h \
		platform.h \
		twitcurl.h \
		poi.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) poi.h -o moc_poi.cpp

moc_view.cpp: fence.h \
		baseobj.h \
		game.h \
		libmctacc.h \
		soundengine.h \
		view.h \
		poi.h \
		vec.h \
		sheep.h \
		clock.h \
		icon.h \
		platform.h \
		twitcurl.h \
		view.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) view.h -o moc_view.cpp

compiler_rcc_make_all: qrc_sheep.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_sheep.cpp
qrc_sheep.cpp: sheep.qrc \
		images/dog.png \
		images/sheep_exit.png \
		images/field.png \
		images/sheep_sound-on.png \
		images/fence.png \
		images/sheep_sound-off.png \
		images/sheep_pause.png \
		images/fenceC.png \
		images/grass.png \
		images/shp.png \
		images/sheep_play.png
	/opt/qt4-maemo5/bin/rcc -name sheep sheep.qrc -o qrc_sheep.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

clock.o: clock.cpp clock.h \
		game.h \
		libmctacc.h \
		soundengine.h \
		view.h \
		fence.h \
		baseobj.h \
		sheep.h \
		vec.h \
		poi.h \
		icon.h \
		platform.h \
		twitcurl.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o clock.o clock.cpp

fence.o: fence.cpp fence.h \
		baseobj.h \
		game.h \
		libmctacc.h \
		soundengine.h \
		view.h \
		poi.h \
		vec.h \
		sheep.h \
		clock.h \
		icon.h \
		platform.h \
		twitcurl.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o fence.o fence.cpp

game.o: game.cpp game.h \
		libmctacc.h \
		soundengine.h \
		view.h \
		fence.h \
		baseobj.h \
		sheep.h \
		vec.h \
		poi.h \
		clock.h \
		icon.h \
		platform.h \
		twitcurl.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o game.o game.cpp

icon.o: icon.cpp icon.h \

## maesheep 0.0.1-1

=== debian/changelog ===
maesheep (0.0.1-1) unstable; urgency=low

  * New name, added whistle support.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Sat, 14 Feb 2010 15:28:52 +0100

=== debian/control ===
Source: maesheep
Section: user/games
Priority: optional
Maintainer: Arek Stopczynski <arek.stopczynski@gmail.com>
Uploaders: Arek Stopczynski <arek.stopczynski@gmail.com>
Build-Depends: debhelper (>= 5), libdbus-1-dev, libhal-dev, libx11-dev, libxtst-dev, libxi-dev, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-dev, libqt4-maemo5-phonon
Standards-Version: 3.7.2

Package: maesheep
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-phonon
Description: MaeSheep game. Get the sheep to their fences using accelerometer, touch control and whistling. 
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c                                                         
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0                                                         
 SU1FB9oBHQ8IL4g2w3cAACAASURBVGgFATAkz9sBTGBA3Q4TD+UCAgMHBQYD                                                         
 BAQEBAUEBgMDAwQEBAQEAwMDAwECAQICAgIDAQIAAAIBAQH/AAEBAQH/AAAA                                                         
 AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA                                                         
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAD/AAAAAAAAAP/+//8AAP8A/v7////9                                                         
 //79/v3//fz//fz7/Pz9/Pz9/fv9/Pv6/Pv8/P38/Pv9+//+//4BAv0ABA8T                                                         
 D+YRFUTP+voDDQECAQcCAgMIAgEBCAABAwb+/gIH//8BBAABAgMB/AADAAAB                                                         
 AQEBAAH/AAABAAAAAQH/AAAAAQEAAP8AAQAAAAAAAAAAAAAAAAABAAAAAAAA                                                         
 AAAAAAAAAAAAAAAAAAAAAAAAAAAA/wAAAAAAAAAAAAD/AP//AAEAAAAAAP8A                                                         
 /wD/AP////////////78/wD//f7+/fsAAP76AwP++gAA/fcCBP74Bv3/+P//                                                         
 /voDBvz6ERTbBgQCBAMG+vkDDfr6AQ0CAgMHAgMDCAIBAggBAgMGAgMCBgEB                                                         
 AgQBAQIDAAEBAgIBAQH/AQACAf8BAAAA/wH+AAIA/wABAAMB/gEBAQEAAAAB                                                         
 AAABAAD6+P7/AgIAAf7+/f4AAAIBAgIAAP7/AAAIBgQC/v////z+AAAAAAAA                                                         
 AwD9/wAAAAD/AAD/AQAAAP///v//AAD+AP79/f7///3//QP8/v78+v39/fn+                                                         
 /QAE/v4ABf/+/wb+/v/5BgAD+f/+AAUEBAUEBQICAggCAQIIAwICBgIDBAgC                                                         
 AwMIAgICBgECBAYCAgEDAAACBAICAQIBAAEB/wEBAQEAAAD//wECIgPf9hoM                                                         
 /gXQ9R0D6Obj+A0F9P3u9AAAYUsVEOfwAvsQCf0D/P3//+rt8PoMCAQCobDc                                                         
 7yUnIwo9IAYI/fz/AMnzIwMEAf7//wEB/wAAAAEA/v7+/wD//v//A/8B/f78                                                         
 /wH8/AD9AQIBAAEB/AAAAQAAAAD/Af0BAAADAgEC/wABAwEFBAUEBAQBAwEI                                                         
 AgQDCAIDBAcDAgQJAgMDCAICAwUCAwQGAgICBAECAgMBAQECAAEBAQEAAQEA                                                         
 AAAA/wECAfcEGwUcHPgFFAb5/67Zx/c+PTkR3d3f9wcGKwgrIAEL/v4I/wEB                                                         
 /ADz7vf1/Pj+AUk1DxEPEPMFISYsC87M3/UCAv8D/P8DAQEAAAAGBAIAAAAA                                                         
 AP/+//7+/v7+AgL9BP79AvwAAPwD/QEAAgMB/wEAAAD///4AAQEA/gIBAgMA                                                         
 AwMDBAQEBQMEAAIDBwMCAwcBAgMJAgQDCAIEBAcEAgMFAQMFBgMDAwMAAQED                                                         
 AgICAv8AAgEBAP8BAAAAAPn6/QDv/AT/9ffsARoXKQZUUlUZ6eru+zk/Rgvr                                                         
 6OT7EicgBf7++P/+/wsAFxcLCvgAFQAUFRkJGhgVBQQF8AEuMRICEe/y/QQF                                                         
 AQH2+QX/0OMM/wUGBgEBAP7//v7+/v79A/4BAfz7AAABAgH9AQH8AP8AAP8A                                                         
 //4AAAD+AAEBAgL//wICAgUEAwUDA///Agf9AQEGAwMDBQICAwUEAgMFAgQF                                                         
 BwIDBAUCAgMDAgIDAgACAQICAAEB/v8AAP/89v9PMvcDBwLzABoYIwX5+An+                                                         
 Dw8EAhQgNQjx+/wAGhIcBu/tzP38/Af/BwjxAhUfPQj2AwcCAwD/APz35f4L                                                         
 Bx0CCQn5AjASGQEEBQcA/Pz9//H37vrm9AkCAgIF/wH9/P4BAf7+AQEAAf8B                                                         
 /wH///8AAv8D/gAC/v4AAP///v8AAAEBAv4CAgEEAgMEAwQBAgIGAgMDBgEC                                                         
 AwYCAwQGAQMFBgIDBAUEBAUFAgQFBAMEBAQEBAUE+vwAAxkP9AM3I/UFIhsa                                                         
 Bg8MEQUCAwwBAQIEAvX9BgHp6+sAwru5+gIKEwMGDTgEJCZECAEGLgMHDhEF                                                         
 o5mW9wAFBQL+Aw0DBAUEAgUECAIDBAgCBQYHAwkJBgMfFf4G/v/+AgMDBAQD                                                         
 BAUEBAUFBAIDBAUDAgUFAwMDBQICAwUBAgQFAAEEBgMDAgYBAgEGAQICBgQC                                                         
 AwEB//4BBAEBAgQCAgEDAgICBAMDAwMCAgMDAAIDAgMDAwMDAgMC+vz/ATQf                                                         
 8wA4KRIEAgESAAMDBwADBQwA//7vAQYHGgH08d4AFCZBAjM6OwgFBAMBAQL+                                                         
 AgcHBQEIBgQC8/j5AE1WWQoFBAQB+ffiAAsTDAH9/AEDAgIFAAYFBQD//wQB                                                         
 MSYYAv8A7PzG3wT/BwUEA///AQIDAwQA//7+/v4DAgQB/gIFAQEB/AICAP39                                                         
 /gH8AgICAwEBAAQCAgECAwABAgQBAQIDAAACBAECAgMAAQEDAgIDAgMCAgIC                                                         
 AgMCAQMDAv7+/wEcFv8DBwYNAQYGCwIEBAQCDw4TAvHxAQAGBAEBEAr/Afrr                                                         
 6gAeEREC+unnABgXFwIJCQkBFBISAv3s6v8fFRQC/+7tAPn1DwDHydj++PkV                                                         
 AA4OCgIEBAMCBAQDAQYFDQE2JxQEBgL5AgIDAwEBAQEBAQECAgECAwMCAQMD                                                         
 AgECAgEBAgMBAQIDAQEBBAAAAQQBAgIDBAIDAQEB/AACAAEBAgICAQIBAQEC                                                         
 AgICAgACAQIBAgICAQICAQEAAgEHA/oAEgwHAgQEAwEBAQD/AQEBAQQE/wEC                                                         
 AgwA4OLl/xwdMgMGCBYA+vn4/xojIwIGCAgAAQAAARMTEwENDQ0B9PTzAAsT                                                         
 HwD8HR0A0M/w/hYVEQIDAwMAAgIAAAAAAAD+/v8B+wD3APP3AAARCQMCAQAA                                                         
 /gH9/gIBAgEBAQEBAQABAgIBAgEDAP4BAgEBAQIBAAECAQEAAwQAAAIBAAAB                                                         
 AQIBAQEBAAEBAAEBAf8AAgECAAEBAAEBAAIBAgH+AP4AJxn4ARMQGQACAgAA                                                         
 AAAAAQEBAAABAQIBBQUIAAQGCwAZGykB/v79AAAAAAEAAAAAAAAAAAAAAP8A                                                         
 AAABCAgIAQgICAABAQEA8vLy/wcFBgECAgIAAgICAf7+/v////8BAQEA/wgG                                                         
 FAElFuMB6fj/AAMCAAH+AgEAAPwBAQABAQEBAQEBAAABAAABAQEAAQACAAAA                                                         
 AgAAAQECAQH/AAEBAAH/AQAC/wEBAQEAAQEBAP8BAAEBAQIBAgH/AQAAAwH/                                                         
 AR8WCQEGBQUBAQEBAQICAgADAwMBAQECAAMEAwD49vQAAwMCAAICAgACAgIA                                                         
 AgICAAICAgACAgIBAgICAAICAgACAgIAAQEB//39/QEAAf0BAwMDAQICAgAD                                                         
 AwMBAwMDAQICAQEAAAcALSAIAvv7+wAAAAEBAQEBAQECAQEBAQABAQAAAgAA                                                         
 AAIBAAACAAABAQECAQEBAAABAgEBAQH/AAABAf8BAAEAAAAAAAAAAQEBAAAB                                                         
 AAAAAAABAQEBAf8AAgHt8/oA/v7+AAEBAf8BAQEBAQEBAAICAf8MCwsB7Ozl                                                         
 AfLy8gACAgIAAQEBAAEBAQACAgIAAgICAAEBAQABAQEAAQEBAAICAgHw8O7/                                                         
 AP//AQICAv8BAQEAAQEBAAEBAf8BAQEBAAEBAAEB/wAAAAABAAECAP8AAAAA                                                         
 AAAAAAABAAAAAAABAQAAAAAAAAAAAQD//wABAAEAAQL/AAAAAAAAAQAA/wEA                                                         
 //8BAQEBAQAAAAEAAAEAAQABAAAAAAD//gEA9/r9AAEBAAACAgIBAgICAAEB                                                         
 AQABAQEBCQkI/xoZFAHe3dv/AQEBAAEBAQABAQEA9vb2AO3t7QD6+voAAgIC                                                         
 AAEBAQAAAAAA4+LfAQAB/wADAwIBAgICAAICAgABAQEBAQEC/wQE+wHw9PgA                                                         
 AwQEAQEAAAABAAEBAQAAAQAAAQH/AQAAAAABAAEBAQABAP8BAAAAAAAAAAAC                                                         
 AQAAAAH/AAAAAAAAAAABAAAAAAAAAAAAAAAAAAABAAABAQEABQL4ADUlDAIC                                                         
 AgUBAAAAAAAAAAAAAAAAAQEBAAMDBAEUFRMA9PTvAQAAAAABAQEAAQEBAAsL                                                         
 CwAEBAQACAgIAP///wAAAAAA+/v6APDw7QANDAwAAAAAAAAAAAAAAAAAAAAA                                                         
 AAEBAAH+/gQAGBMHAf38+/8AAQABAAEBAAEAAQAAAP8AAAABAQABAAEAAP8A                                                         
 AAAAAAEAAQABAAABAgAAAAAAAQEAAAEBAAABAAAA//8AAQEBAAEAAQEAAAEA                                                         
 AP8AAAH//P8QCwYA//8BAAAAAAAAAAAAAAAAAAAAAAABAQAADAwMAPX17gD5                                                         
 +fkAAAAAAAAAAAAAAAAACAgIAAAAAAABAQEAAQEBAPb29gD8+/cAEhIQAAEB                                                         
 AQAAAAAAAAAAAAAAAAAAAAAA/v4AABkTFAEUC/gA////AAAAAAAAAQAAAAEA                                                         
 AAEBAAAA/wABAAAAAf8BAQEAAP8BAAAAAAIAAAAAAP8AAQAAAAEAAAAA/wEB                                                         
 AP8AAAAAAAAAAAEAAQAAAAD9/wUB3ebz/wEA/gAAAAAAAAAAAAAAAAAAAAAA                                                         
 AAAAAAgHBgAPDgsA5eXkAP///wD8/PwA9fX1AP7+/gD29vYA+vr6AAAAAADj                                                         
 4+IABAT+AAoKCQABAQEAAAAAAAAAAAAAAAAAAAAAAAAAAP8GBAYAEQz/AP7+                                                         
 /wAAAAAA/wABAAAAAAEAAAAAAAAA////AQAAAAAAAAAAAAAAAAAEAAAAAAAA                                                         
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIA/wEB/wEAAP8AAAAA                                                         
 AAAAAAAAAAAAAAAAAAAAAAADAwMAERANAN3c1QAXFxgACwsLAAQEBAAAAAAA                                                         
 AAAAAAAAAAD6+voA397aABwbGQAFBQQAAAAAAAAAAAAAAAAAAAAAAAAAAAAA                                                         
 AAAB+/z0/+zwAAACAgIA/f79AAAAAAAAAAAAAAAAAAAAAAEAAAAAAAAAAAAA                                                         
 AAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA/wH/AA8H                                                         
 +QAmHA4B/wADAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgEBABQVEwAFA/kAubix                                                         
 AOPj4wD//wAAAAAAAAAAAADy8vEAuri1AOrp4AAbGhoAAwMDAAAAAAAAAAAA                                                         
 AAAAAAAAAAAAAAAAAAABAP///QADAv0A///+AAAAAAAAAAAAAAAAAAAAAAAA                                                         
 AAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA                                                         
 AAAAAAAAAAH/AQD2+gMB9/r9AAkIAAAAAAAAAAAAAAAAAAAAAAAA////AAEB                                                         
 AQAJCAcAKiomANvb3gC+vLAA5eLjAAcGCAADBAQA+f39ABoYEwA6OjUADQ4M                                                         
 AAAAAAD///8AAQEBAAAAAAAAAAAAAAAAAAAA//8KCBEAJxz5Acvh/f8AAAAA                                                         
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACAAAAAAAAAAAAAAAA                                                         
 AAAAAAAAAAAAAAAAAAAAAAAAAAAB/wAA9v0KALrO8f7+/vz/AAAAAAAAAAAA                                                         
 AAAAAAAAAAEBAQAAAAAAAQEBAAwMCwArKygALioiABz/5QAnAtoADezLACQU

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := maesheep_0.1
builddir:
#	mkdir -p builddir

builddir/Makefile: builddir
	#cd builddir && /opt/qt4-maemo5/qmake PREFIX=/usr ../$(APPNAME).pro
	#qmake-qt4 PREFIX=/usr $(APPNAME).pro
	#/opt/qt4-maemo5/qmake PREFIX=/usr $(APPNAME).pro
	/opt/qt4-maemo5/bin/qmake-qt4 $(APPNAME).pro 
build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

	install -D ./maesheep_0 $(CURDIR)/debian/maesheep/home/opt/MaeSheep/maesheep
	install -D ./src/tuner $(CURDIR)/debian/maesheep/home/opt/MaeSheep/maesheep-tuner
	mkdir $(CURDIR)/debian/maesheep/home/opt/MaeSheep/images
	mkdir $(CURDIR)/debian/maesheep/home/opt/MaeSheep/sounds
	install -D ./images/*.* $(CURDIR)/debian/maesheep/home/opt/MaeSheep/images/
	install -D ./sounds/*.* $(CURDIR)/debian/maesheep/home/opt/MaeSheep/sounds/
	install -D ./sheep.desktop $(CURDIR)/debian/maesheep/usr/share/applications/hildon/maesheep.desktop
	install -D ./sheep_logo.png $(CURDIR)/debian/maesheep/usr/share/icons/hicolor/scalable/apps/sheep.png
							
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## maesheep 0.0.1-2

=== debian/changelog ===
maesheep (0.0.1-2) unstable; urgency=low

  * New name, added whistle support.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Sat, 14 Feb 2010 15:28:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
 Package: maesheep
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-phonon
-Description: MaeSheep game. Get the sheep to their fences using accelerometer, touch control and whistling. 
+Description: MaeSheep game. 
+ Get the sheep to their fences using accelerometer, 
+ touch control and whistling. 
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c                                                         
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
